OESTelemetrySchemaExtensions DEFINITIONS ::=
BEGIN

"telemetry-server-info" ATTRIBUTE ::=
{
  SyntaxID    SYN_DIST_NAME,
  Flags       {DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
  ASN1ObjID   {2 16 840 1 113719 1 219 4 4}
}


-- Class Modification (generic Telemetry)
------------------------------------------
------------------------------------------
"Organization" OBJECT-CLASS ::=
{
    Operation   MODIFY,
    MayContain  {
        "telemetry-server-info"
    }
}

"Organizational Unit" OBJECT-CLASS ::=
{
    Operation   MODIFY,
    MayContain  {
        "telemetry-server-info"
    }
}

"Country" OBJECT-CLASS ::=
{
    Operation   MODIFY,
    MayContain  {
        "telemetry-server-info"
    }
}

"Locality" OBJECT-CLASS ::=
{
    Operation   MODIFY,
    MayContain  {
        "telemetry-server-info"
    }
}

"Domain" OBJECT-CLASS ::=
{
    Operation   MODIFY,
    MayContain  {
        "telemetry-server-info"
    }
}

END
